Update Project Action
POST /tm/api/v1/projects/action/update
Operation id: updateProjectAction
Description
Take action on a project and generate change request internally.
Security
- ApiKeyAuth (apiKey)
- API key passed in the
apikeyrequest header.
- API key passed in the
Responses
200 — Success
Content type: application/json
400 — Error
Content type: application/json
Request body
Required: Yes
application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
projectId | string | Yes | Initiative Id of project |
actionFlag | string | Yes | Project Action Flag (R/W/C for Recall/Withdraw/Complete) |
prjReason | string | No | Reason for Action |
prjComment | string | No | Comment for Action |
extIdentifier | string | No | Project Identifier |
{
"type": "object",
"required": [
"projectId",
"actionFlag"
],
"properties": {
"projectId": {
"type": "string",
"description": "Initiative Id of project"
},
"actionFlag": {
"type": "string",
"description": "Project Action Flag (R/W/C for Recall/Withdraw/Complete)"
},
"prjReason": {
"type": "string",
"description": "Reason for Action"
},
"prjComment": {
"type": "string",
"description": "Comment for Action"
},
"extIdentifier": {
"type": "string",
"description": "Project Identifier"
}
}
}
Response models
200 — Success
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
status | string | No | |
message | string | No |
{
"type": "object",
"properties": {
"status": {
"type": "string",
"example": "SUCCESS"
},
"message": {
"type": "string",
"example": "The changes are applied successfully."
}
}
}
400 — Error
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
status | string | No | |
error | array | No |
{
"type": "object",
"properties": {
"status": {
"type": "string",
"example": "ERROR"
},
"error": {
"type": "array",
"items": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
}
}
}
}
}
}
Example:
{
"status": "ERROR",
"error": [
{
"code": "1010",
"message": "Error: Given action is not applicable"
}
]
}